Bug 520237 - SELinux prevents gssd_t signals
Summary: SELinux prevents gssd_t signals
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 14:12 UTC by Anthony Messina
Modified: 2010-01-18 23:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-18 23:11:29 UTC


Attachments (Terms of Use)

Description Anthony Messina 2009-08-29 14:12:04 UTC
Running a fully updated Fedora 11, x86_64 with KDE & Kerberos, SELinux prevents various programs from "signal" in Enforcing mode:

### kio_file (gssd_t)
node=linux-ws1.chicago.messinet.com type=AVC msg=audit(1251503017.873:118): avc:  denied  { signal } for  pid=7032 comm="kio_file" scontext=system_u:system_r:gssd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0 tclass=process

node=linux-ws1.chicago.messinet.com type=AVC msg=audit(1251503017.873:118): avc:  denied  { signal } for  pid=7032 comm="kio_file" scontext=system_u:system_r:gssd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0 tclass=process

node=linux-ws1.chicago.messinet.com type=SYSCALL msg=audit(1251503017.873:118): arch=c000003e syscall=191 success=no exit=-95 a0=13998e8 a1=3103805dd7 a2=0 a3=0 items=0 ppid=6221 pid=7032 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=8 comm="kio_file" exe="/usr/bin/kdeinit4" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)

### events/0 or events/1
node=linux-ws1.chicago.messinet.com type=AVC msg=audit(1251504017.876:129): avc:  denied  { signal } for  pid=10 comm="events/0" scontext=system_u:system_r:gssd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

node=mythtv-fe1.chicago.messinet.com type=AVC msg=audit(1251517492.51:368): avc:  denied  { signal } for  pid=11 comm="events/1" scontext=system_u:system_r:gssd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process

### plasma-desktop
node=linux-ws1.chicago.messinet.com type=AVC msg=audit(1251552035.872:14): avc:  denied  { signal } for  pid=2210 comm="plasma-desktop" scontext=system_u:system_r:gssd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0 tclass=process

node=linux-ws1.chicago.messinet.com type=SYSCALL msg=audit(1251552035.872:14): arch=c000003e syscall=4 success=yes exit=0 a0=1381cb8 a1=1381ae8 a2=1381ae8 a3=21 items=0 ppid=2207 pid=2210 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="plasma-desktop" exe="/usr/bin/plasma-desktop" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)

### amarok
node=linux-ws1.chicago.messinet.com type=AVC msg=audit(1251553407.385:25): avc:  denied  { signal } for  pid=3847 comm="amarok" scontext=system_u:system_r:gssd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0 tclass=process

node=linux-ws1.chicago.messinet.com type=SYSCALL msg=audit(1251553407.385:25): arch=c000003e syscall=4 success=yes exit=0 a0=19cd748 a1=19cd688 a2=19cd688 a3=113 items=0 ppid=3846 pid=3847 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="amarok" exe="/usr/bin/amarok" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)


### mythfrontend (on another F11 x86_64 machine using XFCE4)
node=mythtv-fe1.chicago.messinet.com type=AVC msg=audit(1251545848.19:12): avc:  denied  { signal } for  pid=2630 comm="mythfrontend" scontext=system_u:system_r:gssd_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

node=mythtv-fe1.chicago.messinet.com type=SYSCALL msg=audit(1251545848.19:12): arch=c000003e syscall=21 success=yes exit=0 a0=d5f5eb0 a1=0 a2=d6c84f0 a3=70 items=0 ppid=2525 pid=2630 auid=509 uid=509 gid=509 euid=509 suid=509 fsuid=509 egid=509 sgid=509 fsgid=509 tty=(none) ses=1 comm="mythfrontend" exe="/usr/bin/mythfrontend" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)

Comment 1 Daniel Walsh 2009-08-31 13:08:26 UTC
Miroslav add the following to rpc.te

userdom_signal_all_users(gssd_t)

Comment 2 Miroslav Grepl 2009-09-02 14:04:11 UTC
Fixed in selinux-policy-3.6.12-82.fc11

Comment 3 Anthony Messina 2009-12-30 07:58:30 UTC
Not a problem in selinux-policy-targeted-3.6.32-59.fc12.noarch (F12)


Note You need to log in before you can comment on or make changes to this bug.